Bug 413425 - Lift and Gain in LumaLiftGainGamma effect are always zero
Summary: Lift and Gain in LumaLiftGainGamma effect are always zero
Status: RESOLVED FIXED
Alias: None
Product: kdenlive
Classification: Unclassified
Component: Effects & Transitions (show other bugs)
Version: 19.08.2
Platform: Microsoft Windows Microsoft Windows
: NOR normal (vote)
Target Milestone: ---
Assignee: Vincent PINON
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-25 07:57 UTC by Alexander Vishnevskii
Modified: 2020-07-14 16:48 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 20.08.0
fritzibaby: Brainstorm+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vishnevskii 2019-10-25 07:57:16 UTC
SUMMARY
When I add LumaLiftGainGamma effect to the video clip, I can't change Lift and Gain parameters. Changing Gamma works - both typing and dragging the bar, but Lift and Gain always stuck at 0,000.

STEPS TO REPRODUCE
1. Add any clip to a project
2. Add LumaLiftGainGamma effect to the clip.
3. Try to change Lift or Gain parameters.

OBSERVED RESULT
Lift and Gain remain 0,000

EXPECTED RESULT
Well, I expected them to change.

SOFTWARE/OS VERSIONS
Windows: Windows 10 Pro (Russian language)


ADDITIONAL INFORMATION
Tried 19.08.2 and earlier versions of kdenlive - same result.
Comment 1 emohr 2019-11-03 10:45:14 UTC
Switch Kdenlive language to English and try again.
Comment 2 Alexander Vishnevskii 2019-11-03 12:18:55 UTC
(In reply to emohr from comment #1)
> Switch Kdenlive language to English and try again.

Tried both English(UK) and English(US). No effect.
Comment 3 Alexander Vishnevskii 2019-11-03 12:33:08 UTC
(In reply to emohr from comment #1)
> Switch Kdenlive language to English and try again.

UPD. Just now tried to switch *Windows* language from Russian to English. NOW effect works properly!
Comment 4 Alexander Vishnevskii 2019-11-03 12:42:56 UTC
But now I can't load any of the older projects.
Comment 5 emohr 2019-11-03 13:00:46 UTC
Thank you for the feedback. Yes this is still an issue under Windows only. I added to issue https://invent.kde.org/kde/kdenlive/issues/78. 

Do you get any error message by loading old projects?
Comment 6 emohr 2019-11-03 13:06:30 UTC
Can you open the original project file in a text editor and look for: kdenlive:docproperties.decimalPoint
What is it? . or , ?
Comment 7 Alexander Vishnevskii 2019-11-03 13:49:22 UTC
No error message. kdenlive just freezes.

kdenlive:docproperties.decimalPoint is ,
Comment 8 Alexander Vishnevskii 2019-11-03 13:51:38 UTC
Changed to .

Project loaded successfully!
Comment 9 emohr 2020-07-14 16:48:52 UTC
Comma point issue is fixed with version 20.08.0.